using DoomDeathmatch.Component.MVC.Enemy;
using DoomDeathmatch.Component.MVC.Health;

namespace DoomDeathmatch.Script.Model.Enemy.Attack;

public class FuncAttackBehaviorCreator(Func<EnemyController, HealthController, AttackBehavior> parFunc)
  : IAttackBehaviorCreator
{
  public AttackBehavior Create(EnemyController parEnemyController, HealthController parHealthController)
  {
    return parFunc(parEnemyController, parHealthController);
  }
}